#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kmouth
Version: 4.11.4
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility
Summary: A type-and-say front end for speech synthesizers
URL: http://www.kde.org/applications/utilities/kmouth/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
License: GPLv2 and GFDL
BuildRequires: kdelibs4-devel >= 2:%version

Requires: kdebase4-runtime
Suggests: kmouth-handbook

%description
KMouth is a program which enables persons that cannot speak to let their
computer speak, e.g. mutal people or people who have lost their voice. It has a
text input field and speaks the sentences that you enter. It also has support
for user defined phrasebooks.

%files
%_kde_bindir/kmouth
%_kde_applicationsdir/kmouth.desktop
%_kde_appsdir/kmouth
%_kde_datadir/config/kmouthrc
%_kde_iconsdir/*/*/apps/kmouth.png

#------------------------------------------------------------------------------

%package -n kmouth-handbook
Summary: Kmouth handbook
Conflicts: kmouth < 2:4.7.1
BuildArch: noarch
Group: Documentation
%description -n kmouth-handbook
KMouth is a program which enables persons that cannot speak to let their
computer speak, e.g. mutal people or people who have lost their voice. It has a
text input field and speaks the sentences that you enter. It also has support
for user defined phrasebooks.

This packages provides kmouth handbook and mandir.

%files -n kmouth-handbook
%doc AUTHORS COPYING COPYING.DOC
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kmouth
%_kde_mandir/man1/kmouth.1.*

#-----------------------------------------------------------------------------


%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555013
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551285
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540302
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490784
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488640
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476874
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465217
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458931
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455317
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447987
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435351
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428463
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407278
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401900
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394441
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339543
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334603
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326804
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320323
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316199
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301975
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289779
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277031
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269692
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 266220
- New version 4.8.95
- Remove trailing space

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257264
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228469
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221489
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198339
- Updating tarball to KDE 4.8.0

* Fri Jan 06 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 192404
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186269
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181454
- imported package kmouth

